<?php

/**
* @package     JohnCMS
* @link        http://johncms.com
* @copyright   Copyright (C) 2008-2011 JohnCMS Community
* @license     LICENSE.txt (see attached file)
* @version     VERSION.txt (see attached file)
* @author      http://johncms.com/about
*/

define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');
$lng_profile = core::load_lng('profile');

/*
-----------------------------------------------------------------
Закрываем от неавторизованных юзеров
-----------------------------------------------------------------
*/
if (!$user_id) {
    require('../incfiles/head.php');
    echo functions::display_error($lng['access_guest_forbidden']);
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Получаем данные пользователя
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
    require('../incfiles/head.php');
    echo functions::display_error($lng['user_does_not_exist']);
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Переключаем режимы работы
-----------------------------------------------------------------
*/
$array = array (
    'activity' => 'includes/profile',
    'ban' => 'includes/profile',
    'edit' => 'includes/profile',
    'images' => 'includes/profile',
    'info' => 'includes/profile',
    'ip' => 'includes/profile',
    'guestbook' => 'includes/profile',
    'karma' => 'includes/profile',
    'office' => 'includes/profile',
    'password' => 'includes/profile',
    'reset' => 'includes/profile',
    'settings' => 'includes/profile',
    'stat' => 'includes/profile'
);
$path = !empty($array[$act]) ? $array[$act] . '/' : '';
if (array_key_exists($act, $array) && file_exists($path . $act . '.php')) {
    require_once($path . $act . '.php');
} else {
    /*
    -----------------------------------------------------------------
    Анкета пользователя
    -----------------------------------------------------------------
    */
    
    
    
	include 'medal.php';
    $headmod = 'profile,' . $user['id'];
    $textl = $lng['profile'] . ': ' . htmlspecialchars($user['name']);
    require('../incfiles/head.php');
    echo '<div class="phdr"><b>' . ($user['id'] != $user_id ? $lng_profile['user_profile'] : $lng_profile['my_profile']) . '</b></div>';
    // Меню анкеты
    $menu = array ();
    if ($user['id'] == $user_id || $rights == 9 || ($rights == 7 && $rights > $user['rights']))
        $menu[] = '<a href="profile.php?act=edit&amp;user=' . $user['id'] . '">' . $lng['edit'] . '</a>';
    if ($user['id'] != $user_id && $rights >= 7 && $rights > $user['rights'])
        $menu[] = '<a href="' . $set['homeurl'] . '/' . $set['admp'] . '/index.php?act=usr_del&amp;id=' . $user['id'] . '">' . $lng['delete'] . '</a>';
    if ($user['id'] != $user_id && $rights > $user['rights'])
        $menu[] = '<a href="profile.php?act=ban&amp;mod=do&amp;user=' . $user['id'] . '">' . $lng['ban_do'] . '</a>';
    if (!empty($menu))
        echo '<div class="topmenu">' . functions::display_menu($menu) . '</div>';
    //Уведомление о дне рожденья
    if ($user['dayb'] == date('j', time()) && $user['monthb'] == date('n', time())) {
        echo '<div class="gmenu">' . $lng['birthday'] . '!!!</div>';
    }
    
    //--STATUS
    if($user['online'] != 0)echo '<center><font color="red"><b>Онлaйн помошник</b></font></center>';
    if ($user['pomog']==1){
if ($user['sex']=="zh"){
echo "Помогла сайту<br />";
}else{
echo "Помог сайту<br />";
}
}
    
    //если есть активный бан то показываем его и время до окончания  
$re = mysql_query("SELECT * FROM `cms_ban_users` WHERE `user_id` = '" . $user['id'] . "' ORDER BY `ban_time` DESC"); 
$r = mysql_fetch_assoc($re); 
if($r['ban_time'] - time() >0) 
echo '<div class="menu">Пользователь забанен, до окончания срока осталось '.functions::timecount($r['ban_time'] - time()).'</div>'; 
///////////////////////////////////////////////////
    
	$stat=mysql_fetch_assoc(mysql_query("select `id`, `name`, `text` from `cms_users_status` where `user_id`='$user[id]' order by `id` desc;"));
	echo '<div class="menu">';
	if ($stat)
	    {
		if ($user['id']==$user_id)
		    {
			echo '
			<form action="profile.php?act=status&amp;user='.$user['id'].'&amp;mode=add" method="post">
			<input type="name" name="name" style="width:98%"/><input value="+" type="submit"/></form>
			';
							echo '</div>';
}
			echo '
	   		<div class="end">&raquo; 
	 	   <a href="/users/profile.php?act=status&amp;user='.$user['id'].'&amp;mode=show&amp;show='.$stat['id'].'">'
	 	   .functions::checkout($stat['name']).'</a><br />'
		    .functions::checkout(mb_substr($stat['text'],0,50))
		    .'</div>';
		}
		    else 
				echo '';
////////end////////
    
    // Информация о юзере
    $arg = array (
        'lastvisit' => 1,
        'iphist' => 1,
        'header' => '<b>ID:' . $user['id'] . ' '. $medal .'</b>'
    );
    if($user['id'] != core::$user_id) $arg['footer'] = '<span class="gray">' . core::$lng['where'] . ':</span> ' . functions::display_place($user['id'], $user['place']);
    $lng_gifts = core::load_lng('gifts');
    $gift = mysql_fetch_assoc(mysql_query("SELECT * FROM `users_gifts` WHERE `user_id` = '" . $user['id'] . "' ORDER BY `id` DESC LIMIT 1"));
if($gift)
{
$fromw = functions::get_user($gift['from_id']);
if($user['id'] == $user_id)
{
$alt = $lng_gifts['from'] . ' ' . $fromw['name'] . (!empty($gift['text']) ? ': ' . $gift['text'] : '');
}
else
{
if($gift['type'] == 0)
$alt = $lng_gifts['from'] . ' ' . $fromw['name'] . (!empty($gift['text']) ? ': ' . $gift['text'] : '');
else
$alt = $lng_gifts['privat'];
}
echo '<div style="float: right; margin-right: 5px; margin-top: 5px;"><a href="/gifts/?user=' . $user['id'] . '"><img src="/images/gifts/'.$gift['image'].'" style="float: right;" alt="' . $alt . '" title="' . $alt . '"  width="64" height="64" /></a></div>';
}
else
{
echo '<div style="float: right; margin-right: 5px; margin-top: 5px;"><a href="/gifts/?user=' . $user['id'] . '"><img src="/images/gift.png" style="float: right;" alt="' . $lng_gifts['send'] . '" title="' . $lng_gifts['send'] . '"  width="64" height="64" /></a></div>';
}
    echo '<div class="user"><p>' . functions::display_user($user, $arg) . '</p></div>';
    // Если юзер ожидает подтверждения регистрации, выводим напоминание
    if ($rights >= 7 && !$user['preg'] && empty($user['regadm'])) {
        echo '<div class="rmenu">' . $lng_profile['awaiting_registration'] . '</div>';
    }
    
    // Карма
    if ($set_karma['on']) {
        $karma = $user['karma_plus'] - $user['karma_minus'];
        if ($karma > 0) {
            $images = ($user['karma_minus'] ? ceil($user['karma_plus'] / $user['karma_minus']) : $user['karma_plus']) > 10 ? '2' : '1';
            echo '<div class="gmenu">';
        } else if ($karma < 0) {
            $images = ($user['karma_plus'] ? ceil($user['karma_minus'] / $user['karma_plus']) : $user['karma_minus']) > 10 ? '-2' : '-1';
            echo '<div class="rmenu">';
        } else {
            $images = 0;
            echo '<div class="menu">';
        }
        echo '<table  width="100%"><tr><td width="22" valign="top"><img src="' . $set['homeurl'] . '/images/k_' . $images . '.gif"/></td><td>' .
            '<b>' . $lng['karma'] . ' (' . $karma . ')</b>' .
            '<div class="sub">' .
            '<span class="green"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '&amp;type=1">' . $lng['vote_for'] . ' (' . $user['karma_plus'] . ')</a></span> | ' .
            '<span class="red"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '">' . $lng['vote_against'] . ' (' . $user['karma_minus'] . ')</a></span>';
        if ($user['id'] != $user_id) {
            if (!$datauser['karma_off'] && (!$user['rights'] || ($user['rights'] && !$set_karma['adm'])) && $user['ip'] != $datauser['ip']) {
                $sum = mysql_result(mysql_query("SELECT SUM(`points`) FROM `karma_users` WHERE `user_id` = '$user_id' AND `time` >= '" . $datauser['karma_time'] . "'"), 0);
                $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `user_id` = '$user_id' AND `karma_user` = '" . $user['id'] . "' AND `time` > '" . (time() - 86400) . "'"), 0);
                if (!$ban && $datauser['postforum'] >= $set_karma['forum'] && $datauser['total_on_site'] >= $set_karma['karma_time'] && ($set_karma['karma_points'] - $sum) > 0 && !$count) {
                    echo '<br /><a href="profile.php?act=karma&amp;mod=vote&amp;user=' . $user['id'] . '">' . $lng['vote'] . '</a>';
                }
            }
        } else {
            $total_karma = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `karma_user` = '$user_id' AND `time` > " . (time() - 86400)), 0);
            if ($total_karma > 0)
                echo '<br /><a href="profile.php?act=karma&amp;mod=new">' . $lng['responses_new'] . '</a> (' . $total_karma . ')';
        }
        echo '</div></td></tr></table></div>';
    }
	// рейтинг
$rating = ($user['postforum'] + $user['postguest'] + $user['komm'] + $user['balans'] + $user['karma_plus']) / ($user['karma_minus'] + 100);
    
    
    // рейтинг
	echo '<div class="menu"><img src="../users/img.php?img=' . $rating . '" alt="' . $rating . '" /></div>';
	echo '<div class="menu"><span style="color:red"><b>Рейтинг:</b></span> <b><span style="color:black">' . $rating . '</span></b></div>';
	// баллы
	echo '<center><div class="menu"><b><span style="color:red">У пользователя</span></b> <b><span style="color:blue">' . $user['name'] . '</span></b> <b>'.$user['balans'].'</b> <img src="../img/m.png" alt="'.$user['balans'].'" /> <span style="color:red"><b>баллов</b></span></div></center>';
    
    if ($user['mail']!=NULL){
echo "<div class=\"list2\">Статус:<font color='green'> Гражданин</font></div>";
}else{
echo "<div class=\"list2\">Статус:<font color='green'> Гость</font></div>";
if ($user['id']==$user_id)
echo '<a href="profile.php?act=email&amp;user='.$user_id.'"><small>Стать гражданином</small></a><br />';
}
    
    // Меню выбора
    $total_photo = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_album_files` WHERE `user_id` = '" . $user['id'] . "'"), 0);
    echo '<div class="list2"><p>' .
        '<center><div><img src="../images/contacts.png" width="16" height="16"/>&#160;<a href="profile.php?act=info&amp;user=' . $user['id'] . '">' . $lng['information'] . '</a></div></center>' .
        '<center><div><img src="../images/activity.gif" width="16" height="16"/>&#160;<a href="profile.php?act=activity&amp;user=' . $user['id'] . '">' . $lng_profile['activity'] . '</a></div></center>' .
        '<center><div><img src="../images/rate.gif" width="16" height="16"/>&#160;<a href="profile.php?act=stat&amp;user=' . $user['id'] . '">' . $lng['statistics'] . '</a></div></center>';

    
    $bancount = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_ban_users` WHERE `user_id` = '" . $user['id'] . "'"), 0);
    if ($bancount)
        echo '<div><center><img src="../images/block.gif" width="16" height="16"/>&#160;<a href="profile.php?act=ban&amp;user=' . $user['id'] . '">' . $lng['infringements'] . '</a> (' . $bancount . ')</div></center>';
    echo '<br />' .
        '<center><div><img src="../images/photo.gif" width="16" height="16"/>&#160;<a href="album.php?act=list&amp;user=' . $user['id'] . '</center>">' . $lng['photo_album'] . '</a>&#160;(' . $total_photo . ')</div>';
        echo '<center><div><img src="../images/users.png" width="16" height="16"/>&#160;<a href="">' . $lng['contacts_in'] . '</a></div></center>';
    
    if ($user['id'] == $user_id) {
    if ($datauser['vip'] == 0)
        echo '<center><br /><div><img src="../images/vip/money.png" width="16" height="16"/>&#160;<a href="vip.php">Купить VIP-Статус</a></div></center>';
else
        echo '<center><br /><div><img src="../images/vip/vip.png" width="16" height="16"/>&#160;<a href="vip.php">Меню VIP-Статуса</a></div></center>';
}
        
    require 'guests.php' ;
        
        echo'<li><center><a href="../flower/index.php?act=my_flowers&amp;id='. $user['id'] .'">Цветы</a></center></li>';
$flow = mysql_query("select * FROM `flower_present` WHERE  `id_user`= '" . $user['id'] . "' LIMIT 6");
$count = mysql_num_rows($flow);
if ($count) {

	while($f= mysql_fetch_array($flow)) {
	echo '<center>
				<a href="../flower/index.php?act=presentflower&amp;id='.$f['id'].'"><img border="1" src="../flower/img/'.$f['num_flow'].'.png" alt="цветок" width="35" height="35"/></center></a>
		';
		}
	}
echo'<li><center><a href="../flower/index.php?act=collect&amp;id='. $user['id'] .'">Коллекция</a></center></li>';
        
    	            echo '<div>&#160;<center><a href="/mail/index.php?act=write&id=' . $user['id'] . '"><b><img src="smsbutton.png"/></center></b></a></div>';
    
	if($user_id && $user['id'] == $user_id)
    $datauser['comm_old'] = $datauser['comm_count'];

echo '<center>';
$context_top = '<div class="phdr"><b>Стена</b></div>';

$arg = array (
    'comments_table' => 'cms_users_guestbook', 
    'object_table' => 'users',                 
    'script' => 'profile.php?',   
    'sub_id_name' => 'user',                   
    'sub_id' => $user['id'],                   
    'owner' => $user['id'],                    
    'owner_delete' => true,                    
    'owner_reply' => true,                   
                  
    'context_top' => $context_top             
);


$comm = new comments($arg);


if(!$mod && $user['id'] == $user_id && $user['comm_count'] != $user['comm_old']){
    mysql_query("UPDATE `users` SET `comm_old` = '" . $user['comm_count'] . "' WHERE `id` = '$user_id'");
	echo '</center>';
}
	
	
    $total_gifts = mysql_result(mysql_query("SELECT COUNT(*) FROM `users_gifts` WHERE `user_id`='{$user['id']}'"), 0);
    '<div><img src="../images/users.png" width="16" height="16"/>&#160;<a href="profile.php?act=friends&amp;user=' . $user['id'] . '">' . $lng_profile['friends'] . '</a>&#160;(' . $total_friends . ')</div>';
    }


   // echo '<div><img src="../images/pt.gif" width="16" height="16"/>&#160;<a href="">' . $lng['blog'] . '</a>&#160;(0)</div>';
    if ($user['id'] != $user_id) {
        if (!isset($ban['1']) && !isset($ban['3']))

	
    echo '<div class="phdr"><a href="index.php">' . $lng['users'] . '</a></div>';
}

require_once('../incfiles/end.php');
?>